import CodeContent_default from "./CodeContent.js";
import MarkdownContent_default from "./MarkdownContent.js";
import { ObjectController } from "./ObjectController.js";
import React from "react";
import { jsx } from "react/jsx-runtime";
var FormBody_default = ({ mimeType: i, schema: a, ui: o, disabled: s, viewOnly: c, form: l }) => {
	let u = l.watch("raw");
	return (() => {
		switch (i) {
			case "text/markdown": return /* @__PURE__ */ jsx(MarkdownContent_default, { content: u ?? "" });
			case "application/json":
			case "application/yaml": return /* @__PURE__ */ jsx(CodeContent_default, { content: u ?? "" });
			case void 0: return /* @__PURE__ */ jsx(ObjectController, {
				name: null,
				parentKey: null,
				schema: a,
				ui: o,
				form: l,
				disabled: s,
				required: !0,
				viewOnly: c
			});
		}
	})();
};
export { FormBody_default as default };
